#!/usr/bin/python
# coding=utf-8

# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)
 
 
# Déclaration de la broche de sortie raccordée au buzzer
GPIO_PIN = 24
GPIO.setup(GPIO_PIN, GPIO.OUT)
 
# Initialisation du module PWM - la fréquence de 500 Hz est prise comme valeur de départ
Frequence = 500 #In Hertz
pwm = GPIO.PWM(GPIO_PIN, Frequence)
pwm.start(50)
 
# Le programme attend l'entrée d'une nouvelle fréquence PWM par l'utilisateur.
# Jusque-là, le buzzer est alimenté par la tension de fréquence précédemment saisie (valeur initiale 500 Hz)
try:
    while(True):
        print "----------------------------------------"
        print "Fréquence actuelle: %d" % Frequence
        Frequence = input("Entrez une nouvelle fréquence (50-5000):")
        pwm.ChangeFrequency(Frequence)
         
# remise en place de tous les GPIO en entrées
except KeyboardInterrupt:
    GPIO.cleanup()
